# Class DelegatingNode

java.lang.Object
uk.ac.starlink.votable.dom.DelegatingNode

All Implemented Interfaces:
  `Node`

Direct Known Subclasses:
  `DelegatingAttr, DelegatingCharacterData, DelegatingDocument, DelegatingDocumentFragment, DelegatingDocumentType, DelegatingElement, DelegatingEntity, DelegatingEntityReference, DelegatingNotation, DelegatingProcessingInstruction`

public class DelegatingNode extends Object implements Node
Node implementation which simply delegates all its methods to a base Node instance.

Since:
  10 Sep 2004
Author:
  Mark Taylor (Starlink)

## Field Summary

### Fields inherited from interface Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DelegatingNode(Node base, DelegatingDocument doc)`

## Method Summary

Modifier and Type
Method
Description
`Node`
`appendChild(Node newChild)`
`Node`
`cloneNode(boolean deep)`
`short`
`compareDocumentPosition(Node other)`
`NamedNodeMap`
`getAttributes()`
`String`
`getBaseURI()`
`NodeList`
`getChildNodes()`
`Object`
`getFeature(String feature, String version)`
`Node`
`getFirstChild()`
`Node`
`getLastChild()`
`String`
`getLocalName()`
`String`
`getNamespaceURI()`
`Node`
`getNextSibling()`
`String`
`getNodeName()`
`short`
`getNodeType()`
`String`
`getNodeValue()`
`Document`
`getOwnerDocument()`
`Node`
`getParentNode()`
`String`
`getPrefix()`
`Node`
`getPreviousSibling()`
`String`
`getTextContent()`
`Object`
`getUserData(String key)`
`boolean`
`hasAttributes()`
`boolean`
`hasChildNodes()`
`Node`
`insertBefore(Node newChild, Node refChild)`
`boolean`
`isDefaultNamespace(String namespaceURI)`
`boolean`
`isEqualNode(Node other)`
`boolean`
`isSameNode(Node other)`
`boolean`
`isSupported(String feature, String version)`
`String`
`lookupNamespaceURI(String prefix)`
`String`
`lookupPrefix(String namespaceURI)`
`void`
`normalize()`
`Node`
`removeChild(Node oldChild)`
`Node`
`replaceChild(Node newChild, Node oldChild)`
`void`
`setNodeValue(String nodeValue)`
`void`
`setPrefix(String prefix)`
`void`
`setTextContent(String textContent)`
`Object`
`setUserData(String key, Object data, UserDataHandler handler)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegatingNode

protected DelegatingNode(Node base, DelegatingDocument doc)

## Method Details

### getNodeName

public String getNodeName()

Specified by:
  `getNodeName` in interface `Node`

### getNodeValue

public String getNodeValue()

Specified by:
  `getNodeValue` in interface `Node`

### setNodeValue

public void setNodeValue(String nodeValue)

Specified by:
  `setNodeValue` in interface `Node`

### getNodeType

public short getNodeType()

Specified by:
  `getNodeType` in interface `Node`

### getParentNode

public Node getParentNode()

Specified by:
  `getParentNode` in interface `Node`

### getChildNodes

public NodeList getChildNodes()

Specified by:
  `getChildNodes` in interface `Node`

### getFirstChild

public Node getFirstChild()

Specified by:
  `getFirstChild` in interface `Node`

### getLastChild

public Node getLastChild()

Specified by:
  `getLastChild` in interface `Node`

### getPreviousSibling

public Node getPreviousSibling()

Specified by:
  `getPreviousSibling` in interface `Node`

### getNextSibling

public Node getNextSibling()

Specified by:
  `getNextSibling` in interface `Node`

### getAttributes

public NamedNodeMap getAttributes()

Specified by:
  `getAttributes` in interface `Node`

### getOwnerDocument

public Document getOwnerDocument()

Specified by:
  `getOwnerDocument` in interface `Node`

### insertBefore

public Node insertBefore(Node newChild, Node refChild)

Specified by:
  `insertBefore` in interface `Node`

### replaceChild

public Node replaceChild(Node newChild, Node oldChild)

Specified by:
  `replaceChild` in interface `Node`

### removeChild

public Node removeChild(Node oldChild)

Specified by:
  `removeChild` in interface `Node`

### appendChild

public Node appendChild(Node newChild)

Specified by:
  `appendChild` in interface `Node`

### hasChildNodes

public boolean hasChildNodes()

Specified by:
  `hasChildNodes` in interface `Node`

### cloneNode

public Node cloneNode(boolean deep)

Specified by:
  `cloneNode` in interface `Node`

### normalize

public void normalize()

Specified by:
  `normalize` in interface `Node`

### isSupported

public boolean isSupported(String feature, String version)

Specified by:
  `isSupported` in interface `Node`

### getNamespaceURI

public String getNamespaceURI()

Specified by:
  `getNamespaceURI` in interface `Node`

### getPrefix

public String getPrefix()

Specified by:
  `getPrefix` in interface `Node`

### setPrefix

public void setPrefix(String prefix)

Specified by:
  `setPrefix` in interface `Node`

### getLocalName

public String getLocalName()

Specified by:
  `getLocalName` in interface `Node`

### hasAttributes

public boolean hasAttributes()

Specified by:
  `hasAttributes` in interface `Node`

### getBaseURI

public String getBaseURI()

Specified by:
  `getBaseURI` in interface `Node`

### compareDocumentPosition

public short compareDocumentPosition(Node other)

Specified by:
  `compareDocumentPosition` in interface `Node`

### getTextContent

public String getTextContent()

Specified by:
  `getTextContent` in interface `Node`

### setTextContent

public void setTextContent(String textContent)

Specified by:
  `setTextContent` in interface `Node`

### lookupPrefix

public String lookupPrefix(String namespaceURI)

Specified by:
  `lookupPrefix` in interface `Node`

### isDefaultNamespace

public boolean isDefaultNamespace(String namespaceURI)

Specified by:
  `isDefaultNamespace` in interface `Node`

### lookupNamespaceURI

public String lookupNamespaceURI(String prefix)

Specified by:
  `lookupNamespaceURI` in interface `Node`

### isSameNode

public boolean isSameNode(Node other)

Specified by:
  `isSameNode` in interface `Node`

### isEqualNode

public boolean isEqualNode(Node other)

Specified by:
  `isEqualNode` in interface `Node`

### getFeature

public Object getFeature(String feature, String version)

Specified by:
  `getFeature` in interface `Node`

### setUserData

public Object setUserData(String key, Object data, UserDataHandler handler)

Specified by:
  `setUserData` in interface `Node`

### getUserData

public Object getUserData(String key)

Specified by:
  `getUserData` in interface `Node`